<HTML>
<HEAD><TITLE>Sambar SOAP Utility</TITLE>
<% 
#include "../header.asp"
menu = "utils";
#include "../menu.asp"
area = "soap";
#include "submenu.asp"
%>
<B>Starting Soap Interop Tests...</B>
<P><PRE><CODE>
<%

/*
** echoNull
*/
$soap = soapService("http://localhost/soap", "echoNull", 
	"urn:echoNull");
soapParameterAdd($soap, "echoNull", NULL);
soapCall($soap);

int time = soapPropertyGet($soap, "msec");
val = soapResultGet($soap, NULL);
if (val == NULL)
    printf("echoNull SUCCESS %d msec\n", time);
else
    printf("echoNull FAILURE %d msec\n", time);

soapServiceFree($soap);

/*
** echoString
*/
$soap = soapService("http://localhost/soap", "echoString", 
	"urn:echoString");
soapParameterAdd($soap, "echoString", "Hello");
soapCall($soap);

int time = soapPropertyGet($soap, "msec");
val = soapResultGet($soap, NULL);
if (val == "Hello")
    printf("echoString SUCCESS %d msec\n", time);
else
    printf("echoString FAILURE %d msec\n", time);

soapServiceFree($soap);

/*
** echoStringArray
*/
$soap = soapService("http://localhost/soap", "echoStringArray", 
	"urn:echoStringArray");

char arrayvalue[4];
arrayvalue[0] = "<Hello>";
arrayvalue[1] = "'This'";
arrayvalue[2] = "Is";
arrayvalue[3] = "Test";

soapParameterAdd($soap, "echoStringArray", arrayvalue);
soapCall($soap);

int time = soapPropertyGet($soap, "msec");
val = soapResultGet($soap, NULL);
if (isArray(val) && 
	sizeof(val) == 4 && 
	val[0] == "<Hello>" &&
	val[1] == "'This'" &&
	val[2] == "Is" &&
	val[3] == "Test")
{
    printf("echoStringArray SUCCESS %d msec\n", time);
}
else
{
    printf("echoStringArray FAILURE %d msec\n", time);
}

soapServiceFree($soap);

/*
** echoInteger
*/
$soap = soapService("http://localhost/soap", "echoInteger", 
	"urn:echoInteger");
soapParameterAdd($soap, "echoInteger", 5);
soapCall($soap);

int time = soapPropertyGet($soap, "msec");
val = soapResultGet($soap, NULL);
if (val == 5)
    printf("echoInteger SUCCESS %d msec\n", time);
else
    printf("echoInteger FAILURE %d msec\n", time);

soapServiceFree($soap);

/*
** echoIntegerArray
*/
$soap = soapService("http://localhost/soap", "echoIntegerArray", 
	"urn:echoIntegerArray");

int arrayvalue[5];
arrayvalue[0] = 1;
arrayvalue[1] = 0;
arrayvalue[2] = 1;
arrayvalue[3] = 3;
arrayvalue[4] = 5;

soapParameterAdd($soap, "echoIntegerArray", arrayvalue);
soapCall($soap);

int time = soapPropertyGet($soap, "msec");
val = soapResultGet($soap, NULL);
if (isArray(val) && 
	sizeof(val) == 5 && 
	val[0] == 1 &&
	val[1] == 0 &&
	val[2] == 1 &&
	val[3] == 3 &&
	val[4] == 5)
{
    printf("echoIntegerArray SUCCESS %d msec\n", time);
}
else
{
    printf("echoIntegerArray FAILURE %d msec\n", time);
}

soapServiceFree($soap);

/*
** echoFloat
*/
$soap = soapService("http://localhost/soap", "echoFloat", 
	"urn:echoFloat");
soapParameterAdd($soap, "echoFloat", 10.3);
soapCall($soap);

int time = soapPropertyGet($soap, "msec");
val = soapResultGet($soap, NULL);
if (val == 10.3)
    printf("echoFloat SUCCESS %d msec\n", time);
else
    printf("echoFloat FAILURE %d msec\n", time);

soapServiceFree($soap);

/*
** echoFloatArray
*/
$soap = soapService("http://localhost/soap", "echoFloatArray", 
	"urn:echoFloatArray");

float arrayvalue[3];
arrayvalue[0] = 3.0;
arrayvalue[1] = 5.3;
arrayvalue[2] = 10.6;

soapParameterAdd($soap, "echoFloatArray", arrayvalue);
soapCall($soap);

int time = soapPropertyGet($soap, "msec");
val = soapResultGet($soap, NULL);
if (isArray(val) && 
	sizeof(val) == 3 && 
	val[0] == 3.0 &&
	val[1] == 5.3 &&
	val[2] == 10.6)
{
    printf("echoFloatArray SUCCESS %d msec\n", time);
}
else
{
    printf("echoFloatArray FAILURE %d msec\n", time);
}

soapServiceFree($soap);
%>
</CODE></PRE>
</P>
<B>Done with Soap Interop Tests...</B>
<%
#include "../footer.asp"
%>
</BODY></HTML>
